<?php
namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Row;
use Zeedhi\Framework\DataSource\DataSet;


class Ger33500AgenteDeTerceirizacaoController extends \Teknisa\DF\Controllers\TeknisaCrud {
    protected $dataSourceName = '';
    protected $dataSourceNameToSave ='';
    protected $parameterBagColumns = array();
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        try{
            $dataSource = substr($request->getRoutePath(), 1, strlen($request->getRoutePath()));
            $this->dataSourceName = $dataSource;
            
            parent::find($request, $response);
        }
        catch(\Exception $e) {
            throw $e;
        }
    
    }
    
     public function save(DTO\Request $request, DTO\Response $response) {
        try{
            $rota = substr($request->getRoutePath(), 1, strlen($request->getRoutePath()) - 6);
            $data = explode("_", $rota);
            $dataSourceNameToSave = $data[0];
            $this->dataSourceNameToSave = $dataSourceNameToSave;
            
            parent::save($request, $response);
        }
        catch(\Exception $e) {
            throw $e;
        }
    }
    
     public function delete(DTO\Request $request, DTO\Response $response) {
          
        try {
            $rota = substr($request->getRoutePath(), 1);
            $data = explode("/", $rota);
            $data = explode("_", $data[0]);
            $dataSource = $data[0];
            $this->dataSourceName = $dataSource;
            parent::delete($request, $response);   
        }
        catch(\Exception $e) {
            throw $e;
        }
     }

}